CLACRT(3f)

NAME
CLACRT - the operation ( c s )( x ) ==> ( x ) ( -s c )( y ) ( y ) where c and s are complex and the vectors x and y are complex

SYNOPSIS

SUBROUTINE CLACRT(
    N, CX, INCX, CY, INCY, C, S )

INTEGER
    INCX, INCY, N

COMPLEX
    C, S

COMPLEX
    CX( * ), CY( * )

PURPOSE
CLACRT performs the operation

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vectors CX and CY.

CX      (input/output) COMPLEX array, dimension (N)
    On input, the vector x. On output, CX is overwritten with c*x + s*y.

INCX    (input) INTEGER
    The increment between successive values of CX. INCX <> 0.

CY      (input/output) COMPLEX array, dimension (N)
    On input, the vector y. On output, CY is overwritten with -s*x + c*y.

INCY    (input) INTEGER
    The increment between successive values of CY. INCY <> 0.

C       (input) COMPLEX
    S (input) COMPLEX C and S define the matrix [ C S ]. [ -S C ]